<?php
/*
header("Content-type: application/vnd.ms-excel; name='excel'");
header("Content-Disposition: filename=ComprasProveedor.xls");
header("Pragma: no-cache");
header("Expires: 0");
*/
include "../conexion.php";
 echo "<table width='100%' border='1' bordercolor='#000000' cellpadding='0' cellspacing='0' >";
							echo "<tr ><td colspan='7'><CENTER>DETALLE DE COMPRAS POR PROVEEDOR</CENTER></td></tr>";
							echo "<tr >";
							echo "<td align='center'>Proveedor</td>";							
							echo "<td align='center'>Factura</td>";
							echo "<td align='center'>Valor</td>";							
							echo "<td align='center'>Iva</td>";	
							echo "<td align='center'>Fecha</td>";
							echo "<td align='center'>Fecsis</td>";
							echo "<td align='center'>Hora</td>";		
							echo "</tr>";
					   
							 $sql_datos=mysqli_query($conexion,"SELECT proveedor,factura,valor,iva,fecha,fecsis,horasis,id
							 						from inventario_proveedor
													 order by id desc");
								$c=1;	$sumaiva=0; $sumag=0;	$sumaI=0;		$sumacr=0;	 $sumas=0;$sumapagos=0;
							   while ($datos= mysqli_fetch_row($sql_datos))//04e
								  { 
									$proveedor=$datos[0];
									$factura=$datos[1];
									$valor=$datos[2];
									$iva=$datos[3];
									$fecha=$datos[4];
									$fecsis=$datos[5];
									$horasis=$datos[6];									
									
									$sql_consulta=mysqli_query($conexion,"select nombre from proveedor where id='".$proveedor."'");
									while($datosrs= mysqli_fetch_row($sql_consulta)){ $nombrep=$datosrs[0];}
										
									$sumacr=$sumacr+$total;
									$efectivopagado=0;$saldo=0;
									 $sql_consulta=mysqli_query($conexion,"select count(*) as contar from inventario_proveedor_pagos
									 									   where proveedor='".$proveedor."' and factura='".$factura."'"); 
									 while($datosrs= mysqli_fetch_row($sql_consulta)){ $contar=$datosrs[0];}
									 if($contar>=1)
									  {
									    $sql_consulta=mysqli_query($conexion,"select sum(valor) as efectivopag from inventario_proveedor_pagos
											 where proveedor='".$proveedor."' and factura='".$factura."'"); 
										while($datosrs= mysqli_fetch_row($sql_consulta)){ $efectivopagado=$datosrs[0];}
									  }
									
									$saldo=	$valor-$efectivopagado;	
									$sumas=$sumas+$saldo;	
									$sumapagos=$sumapagos+$efectivopagado;			
									
									 echo "<tr  >
											  <td >$proveedor</td>
											  <td >$factura</td>
											  <td >$valor</td>
											  <td >$iva</td>
											  <td >$efectivopagado</td>
											  <td >$saldo</td>											  
											  <td >$fecha</td>
											  <td >$fecsis</td>
											  <td >$horasis</td>											  
											</tr>";
											$c=$c+1;
								  }	//04
							
								echo "</table>";

?>